package ink.wgink.module.activiti.dao.oa;

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.interfaces.init.IInitBaseTable;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * @Description: 表单字段与流程节点
 * @Author: WenG
 * @Date: 2022/3/17 20:09
 * @Version: 1.0
 **/
@Repository
public interface INodeFieldDao extends IInitBaseTable {

    /**
     * 新增
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;

    /**
     * 删除
     *
     * @param params
     * @throws RemoveException
     */
    void delete(Map<String, Object> params) throws RemoveException;
}
